%% To include PDF cover with \includepdf{}
\usepackage{pdfpages}

%% For datetime of typeset datetime
\usepackage[yyyymmdd]{datetime}
\renewcommand{\dateseparator}{-}

%% Change spacing before and after headings
%% See esdd's answer: https://tex.stackexchange.com/questions/289767/how-to-change-space-before-and-after-chapter-section-etc

\RedeclareSectionCommands[
  beforeskip=5pt,
  afterskip=1.2pt,
  afterindent=false
 ]{section,subsection,subsubsection}

%% Small caps for \section{} headers
%% See MBR's answer: https://tex.stackexchange.com/questions/129677/automatic-capitalization-of-sectioning-headings

\makeatletter
\renewcommand{\section}{\@startsection {section}{1}{\z@}%
             {-3.5ex \@plus -1ex \@minus -.2ex}%
             {1.3ex \@plus .2ex}%
             {\LARGE\scshape\bfseries}}
\makeatother

%% Small caps for \section{} headers in ToC
%% See Peter Wilson's answer: https://tex.stackexchange.com/questions/587274/how-to-capitalise-each-word-in-table-of-contents-when-the-headings-are-small-cap

\usepackage{tocloft}
\renewcommand{\cfttoctitlefont}{\normalsize\scshape\bfseries} % ToC title
\renewcommand{\cftsecfont}{\normalsize\scshape\bfseries} % Section titles in ToC


%% Remove page number for table of contents
%% Start counter on p.0 (excluding cover)
%% See guest's answer: https://tex.stackexchange.com/questions/2995/removing-page-number-from-toc
\addtocontents{toc}{\protect\thispagestyle{empty}}
\setcounter{page}{1}
